Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle TopLink API Reference 10g Release 3 (10.1.3) B13698-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.toplink.descriptors
Class FieldsLockingPolicy

`java.lang.Object
oracle.toplink.descriptors.FieldsLockingPolicy`

Direct Known Subclasses:
  AllFieldsLockingPolicy, ChangedFieldsLockingPolicy, SelectedFieldsLockingPolicy

public abstract class FieldsLockingPolicy
extends java.lang.Object

Purpose: An abstract superclass of some implementations of the OptimisticLockingPolicy interface. All of the subclasses of this class implement OptimisticLocking based on mapped fields in the object. These fields are only compared and not modified. Any modification (incrementing etc..) must be handled by the application.

Since:
  TopLink 2.1
See Also:
  `AllFieldsLockingPolicy`, `ChangedFieldsLockingPolicy`, `SelectedFieldsLockingPolicy`

Constructor Summary
`FieldsLockingPolicy()` PUBLIC: Create a new field locking policy.

Method Summary
`boolean` | `isCascaded()` PUBLIC: Return true if the policy uses cascade locking.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FieldsLockingPolicy

    public FieldsLockingPolicy()

  PUBLIC: Create a new field locking policy. A field locking policy is based on locking on a subset of fields by comparing with their previous values to detect field-level collisions. Note: the unit of work must be used for all updates when using field locking.

Method Detail

### isCascaded

    public boolean isCascaded()

  PUBLIC: Return true if the policy uses cascade locking. Currently, not supported on this policy at this time.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 1998, 2006, Oracle. All Rights Reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD